
| gvSIG desktop 1 - gvSIG bugs #776
Error labelling when the user defined labels (Background Style)
06/13/2012 12:45 PM - Francisco Puga

Status: Fixed % Done: 100%
Priority: Normal
Assignee:
Category:
Target version:
Severity: Add-on name: Unknown
gvSIG version: 1.11.0 Add-on version:
gvSIG build: Add-on build:
Operative System: Add-on resolve version:
Keywords: Add-on resolve build:
Has patch: No
Description

Related links:
https://joinup.ec.europa.eu/software/gvsig-desktop/issue/error-labelling-when-user-defined-labels-background-style
http://osgeo-org.1560.n6.nabble.com/bug-in-build-1411-gvSIG-1-12-Advanced-labelling-with-background-style-fails-td4980365.html
http://osgeo-org.1560.n6.nabble.com/Sigue-error-etiquetado-avanzado-en-gvSIG-1-12-build-1411-td4980990.html

History
#1 - 07/02/2012 11:44 PM - Francisco José Peñarrubia
- File libFMap_patch_bug_776_labelling_dgn.txt added

I have revised this bug. 
It's worst than it seems, because affect also to DGN files (text files).
I attach a DGN to test (the texts are always centered and this is bad because dgn from IGN will not render well).

I solved the problem, and also the advance labelling with background symbols. The patch seems safe, and I will vote +1 to commit.
Please, test the change, and let me know if you want me to commit.

#2 - 07/02/2012 11:45 PM - Francisco José Peñarrubia
- File 15416D_2003.DGN added

#3 - 07/12/2012 11:46 AM - Francisco Puga

It seems good to me. Please commit it.

#4 - 07/13/2012 08:00 PM - Francisco Puga
- Status changed from New to Fixed
- % Done changed from 0 to 100

Applied in changeset r38563.

#5 - 02/21/2014 09:36 AM - Álvaro Anguix
- Project changed from Application: gvSIG desktop to | gvSIG desktop 1

Files
libFMap_patch_bug_776_labelling_dgn.txt 2.02 KB 07/02/2012 Francisco José Peñarrubia
15416D_2003.DGN 1.46 MB 07/02/2012 Francisco José Peñarrubia
